petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscLogEventBarrierBegin

Logs the time in a barrier before an event.

### Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogEventBarrierBegin(int e,PetscObject o1,PetscObject o2,PetscObject o3,PetscObject o4,MPI_Comm comm)

Not Collective

### Input Parameters

e -integer associated with the event obtained from PetscLogEventRegister()
o1,o2,o3,o4 -objects associated with the event, or 0
comm -communicator the barrier takes place over

### Usage

         PetscLogEventBarrierBegin(VEC_NormBarrier,0,0,0,0,comm);
           MPIU_Allreduce()
         PetscLogEventBarrierEnd(VEC_NormBarrier,0,0,0,0,comm);

### Notes

This is for logging the amount of time spent in a barrier for an event that requires synchronization.

### Additional Notes

Synchronization events always come in pairs; for example, VEC_NormBarrier and VEC_NormComm = VEC_NormBarrier + 1

### See Also

PetscLogEventRegister(), PetscLogEventEnd(), PetscLogFlops(), PetscLogEventBegin(),
PetscLogEventBarrierEnd()

### Keywords

log, event, begin, barrier

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages